# Return orchestration payment

Returns the orchestration payment with customer end-to-end ID.

Endpoint: POST /v4/orchestration/payment/return
Version: 4.0.0
Security: Bearer

## Request fields (application/json):

  - `sender_end_to_end_id` (string, required)
    Unique ID that the sender can specify.

  - `original_payment_id` (string, required)
    Unique ID of the payment that should be returned.

  - `return_reasons` (object)
    Provide one or more arbitrary key/value pairs.

  - `return_amount_type` (string)
    Amount type of the return payment.
    Enum: "TOTAL_RECEIVED", "TOTAL_RECEIVED_MINUS_FEES"

  - `custom_fee` (number)
    Custom fee charged and collected by the sending account.

Setting this field overrides all applicable fees configured on the sender's RippleNet instance.

  - `custom_rate` (object)
    Custom rate that the return payment quotes must use.

  - `custom_rate.rate` (number, required)
    Exchange rate for a base and counter currency.

  - `custom_rate.base_currency` (string, required)
    Base currency of the exchange rate.

  - `custom_rate.counter_currency` (string, required)
    Counter currency of the exchange rate.

  - `custom_rate.rate_type` (string, required)
    Order type for the exchange rate.

Valid values are sell or buy.

  - `force_path_finding_and_liquidity_path_finding` (boolean)
    When true, this flag tells RippleNet to ignore cached value for path finding and liquidity path finding.

Forces performing new path finding and liquidity path finding.

  - `user_info` (object)
    Provide one or more arbitrary key/value pairs.

## Response 201 fields (application/json):

  - `sender_end_to_end_id` (string)
    Sender end-to-end ID.
    Example: "00310000015"


